Subject: [wishlist] Add --with-version package transformation option

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 15 May 2019 11:58:46 +0200

I would like to see a --with-version package transformation option.
Currently Guix only supports package transformation options
--with-source and --with-commit that are more complicated to use.

See
<https://lists.gnu.org/archive/html/help-guix/2019-05/msg00035.html>
for background information.

For git packages, it would be sufficient if --with-commit supported
tags.  If feasible, I think other packages should be designed so as to
make a --with-version possible.  Currently many packages have a
version field, but transforming it does not change the hygienically
generated source URI.

Regards,
Florian